> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.tribalhabits.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific pathway enrolment

> This endpoint retrieves a specific pathway enrolment.

If the enrolment does not exist, `404` is returned with the body `{"error":"Cannot find pathway assignment"}`.




## OpenAPI

````yaml /openapi.yaml get /pathway_assignments/{id}
openapi: 3.1.0
info:
  title: Tribal Habits Public API
  version: '1'
  description: >
    The Tribal Habits Public API V1. Use it to manage your Tribal Habits user
    accounts (list, show, create and update) and other entities.


    Replace `myorg` in the server URL with your organisation's subdomain. See
    [Vanity URL](/vanity-url) if you use your own domain.
servers:
  - url: https://myorg.tribalhabits.com/papi
security:
  - ApiKeyHeader: []
tags:
  - name: Users
    description: Users
  - name: Topics
    description: Topics
  - name: Pathways
    description: Pathways
  - name: Enrolments
    description: Topic and Pathway Enrolments
  - name: Certificates
    description: >-
      Certificate generation and retrieval for completed topic and pathway
      enrolments.
  - name: External Knowledge
    description: Knowledge obtained from a source external of Tribal Habits.
  - name: Webhooks
    description: >-
      Webhooks triggered from certain actions in code that will call URLs
      assigned by you.
paths:
  /pathway_assignments/{id}:
    get:
      tags:
        - Enrolments
      summary: Get a specific pathway enrolment
      description: >
        This endpoint retrieves a specific pathway enrolment.


        If the enrolment does not exist, `404` is returned with the body
        `{"error":"Cannot find pathway assignment"}`.
      operationId: getPathwayEnrolment
      parameters:
        - name: id
          in: path
          required: true
          description: The unique identifier of a pathway enrolment
          schema:
            type: integer
          example: 2
      responses:
        '200':
          description: The pathway enrolment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PathwayEnrolment'
              examples:
                example:
                  $ref: '#/components/examples/PathwayEnrolment'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: The enrolment does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleError'
              example:
                error: Cannot find pathway assignment
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    PathwayEnrolment:
      type: object
      properties:
        id:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        conquered_at:
          type:
            - string
            - 'null'
          format: date-time
          description: When the pathway was completed, or `null`
        status:
          type: string
          enum:
            - Pre-enrolled
            - Unexplored
            - Exploring
            - Applying
            - Conquered
            - recertify
          description: >-
            Progress of the enrolment: `Pre-enrolled`, `Unexplored`,
            `Exploring`, `Applying`, `Conquered` (completed) or `recertify`
        due_date:
          type:
            - string
            - 'null'
          format: date-time
        enrolled_by:
          type:
            - string
            - 'null'
        certified_date:
          type:
            - string
            - 'null'
          description: Date the certification is valid until, or `null`
        recertification_allowed:
          type: boolean
        skills_attained:
          type: array
          items:
            $ref: '#/components/schemas/SkillAttained'
        person:
          $ref: '#/components/schemas/EnrolmentPerson'
        pathway:
          type: object
          properties:
            id:
              type: integer
            title:
              type: string
            link:
              type: string
            show_certificate:
              type: boolean
            external_id:
              type:
                - string
                - 'null'
    SingleError:
      type: object
      properties:
        error:
          type: string
    SkillAttained:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
    EnrolmentPerson:
      type: object
      properties:
        id:
          type: integer
          description: Internal user ID. This is not the `user_name`
        name:
          type: string
        user_name:
          type: string
        link:
          type: string
          description: Path of the related page in Tribal Habits
  examples:
    PathwayEnrolment:
      summary: A pathway enrolment
      value:
        id: 2
        created_at: '2019-08-08T15:51:31.424+10:00'
        updated_at: '2020-01-22T14:38:39.099+11:00'
        conquered_at: null
        status: Unexplored
        due_date: '2019-12-03T10:54:00.000+11:00'
        enrolled_by: PAPI
        certified_date: null
        recertification_allowed: true
        skills_attained:
          - id: 13
            name: First Aid
        person:
          id: 4
          name: UserB
          user_name: '12345'
          link: /people/users/6
        pathway:
          id: 1
          title: Test Pathway ABC
          link: /knowledge/pathways/1/overview
          show_certificate: true
          external_id: '123'
  responses:
    Unauthorized:
      description: >-
        Unauthorized - The request does not include the API key, the API key is
        incorrect, or API access is not enabled on your plan.
    TooManyRequests:
      description: >-
        Too Many Requests - You have exceeded the rate limit. See [Rate
        limits](/rate-limits)
      headers:
        Retry-After:
          description: Number of seconds until the rate limit window resets
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              retry_after_seconds:
                type: integer
          example:
            error: Rate limit exceeded. Please slow down.
            retry_after_seconds: 23
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >
        Your organisation's API key, sent as `Authorization: my_api_key`. The
        key can also be passed as an `api_key` query parameter. See
        [Authentication](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.